NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Drawings.RevolvedSectionLineBuilder Class Reference

Represents a NXOpen.Drawings.RevolvedSectionLineBuilder . More...

Inheritance diagram for NXOpen.Drawings.RevolvedSectionLineBuilder:
NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.Point EndLocation1 [get, set]
 Returns or sets the end location 1 which determines the position of the first arrow segment in the section line. More...
 
unsafe NXOpen.Point EndLocation2 [get, set]
 Returns or sets the end location 2 which determines the position of the second arrow segment in the section line More...
 
unsafe
NXOpen.Drawings.SectionLineSegmentBuilderList 
Leg1 [get]
 Returns the list of cut and bend segments for the first leg. More...
 
unsafe
NXOpen.Drawings.SectionLineSegmentBuilderList 
Leg2 [get]
 Returns the list of cut and bend segments for the second leg. More...
 
unsafe NXOpen.Point RotationPoint [get, set]
 Returns or sets the rotation point. More...
 
unsafe bool SingleLeg [get, set]
 Returns or sets the single leg indicator. More...
 

Detailed Description

Represents a NXOpen.Drawings.RevolvedSectionLineBuilder .

This class is used to create or edit a NXOpen.Drawings.RevolvedSectionLine .

Created in NX6.0.0

Deprecated in NX10.0.0. Use Drawings.SectionViewBuilder.SectionViewType instead.

Member Function Documentation

unsafe bool NXOpen.Drawings.RevolvedSectionLineBuilder.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Point NXOpen.Drawings.RevolvedSectionLineBuilder.EndLocation1
getset

Returns or sets the end location 1 which determines the position of the first arrow segment in the section line.

Created in NX6.0.0

Deprecated in NX10.0.0. This API is not supported yet and should not be used.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Point NXOpen.Drawings.RevolvedSectionLineBuilder.EndLocation2
getset

Returns or sets the end location 2 which determines the position of the second arrow segment in the section line

Created in NX6.0.0

Deprecated in NX10.0.0. This API is not supported yet and should not be used.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.SectionLineSegmentBuilderList NXOpen.Drawings.RevolvedSectionLineBuilder.Leg1
get

Returns the list of cut and bend segments for the first leg.

The list will contain NXOpen.Drawings.SectionLineSegmentBuilder.Types.Cut and NXOpen.Drawings.SectionLineSegmentBuilder.Types.Bend types of NXOpen.Drawings.SectionLineSegmentBuilder segments.

Note that there is no order to the elements of this list since the order is determined by the hinge and arrow direction.

Created in NX6.0.0

Deprecated in NX10.0.0. This API is not supported yet and should not be used.

License requirements: None.

unsafe NXOpen.Drawings.SectionLineSegmentBuilderList NXOpen.Drawings.RevolvedSectionLineBuilder.Leg2
get

Returns the list of cut and bend segments for the second leg.

This leg is not valid if the single leg indicator is set.

The list will contain NXOpen.Drawings.SectionLineSegmentBuilder.Types.Cut and NXOpen.Drawings.SectionLineSegmentBuilder.Types.Bend types of NXOpen.Drawings.SectionLineSegmentBuilder segments.

Note that there is no order to the elements of this list since the order is determined by the hinge and arrow direction.

Created in NX6.0.0

Deprecated in NX10.0.0. This API is not supported yet and should not be used.

License requirements: None.

unsafe NXOpen.Point NXOpen.Drawings.RevolvedSectionLineBuilder.RotationPoint
getset

Returns or sets the rotation point.

The rotation point identifies position of the axis that the section line is to revolve about.

Created in NX6.0.0

Deprecated in NX10.0.0. Use Drawings.SectionLineSegmentsBuilder.RotationPoint

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.RevolvedSectionLineBuilder.SingleLeg
getset

Returns or sets the single leg indicator.

Set this flag to true to create a revolved section line that contains only one leg.

Created in NX6.0.0

Deprecated in NX10.0.0. Use Drawings.SectionLineSegmentsBuilder.SingleLeg

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.